%
% NAME: manatee.m (University of Wisconsin MODIS Analyzer Toolkit)
%
% FILE TYPE: driver function
%
% LANGUAGE: 
%	  Matlab, (http://www.mathworks.com)
%         Version 6.x
%       
% PURPOSE: initializes MODIS Analyzer Toolkit
%
% DESCRIPTION:
%
% COPYRIGHT INFORMATION:  
%	  (C) COPYRIGHT UW/SSEC ALL RIGHTS RESERVED, 2001
%	      Space Science & Engineering Center
%	      University of Wisconsin - Madison  
%     
% CATEGORY: 
%  MODIS Analyzer Toolkit
%       
% CALLING SEQUENCE: 
%    Type 'uwmat' at the MATLAB prompt
%
% INPUTS: None
%
% OPTIONAL INPUTS: 
%       
% OUTPUTS: None
%
% OPTIONAL OUTPUTS:
% 
% FILES:
%
%    REQUIRED:
%
%    INPUT:
%
%    OUTPUT:
%
% GLOBAL VARIABLES: 
%  
% INTERNAL or EXTERNAL CALLS:
%
% SIDE EFFECTS: 
%       
% RESTRICTIONS: 
%
%    VERSION DEPENDENCIES: will not work with version 5 due to changes in GUI (i.e., openfig command)
%
%    TOOLBOX DEPENDENCIES:  
%
%    OS DEPENDENCIES:
%
%    OTHER DEPENDENCIES OR RESTRICTIONS:
%
% RELATED TOPICS:
%
% PROCEDURE or THEORY: 
%
% EXAMPLE or USAGE: 
%
% MODIFICATION HISTORY: 
%	  Written by:	 Kevin Baggett  31-Aug-2001 (UW-SSEC)
%     Coordinator:   Paolo Antonelli
%
% REVISION INFORMATION (RCS Keyword):
%   $Id: manatee.m,v 1.6 2003/05/13 22:36:41 kevinb Exp $
%
%------------------------------------------------------------------------------

%------------------------------------------------------------------------------
%                REVISION INFORMATION (RCS Keyword variable)
%------------------------------------------------------------------------------

rcs_id =  '$Id: manatee.m,v 1.6 2003/05/13 22:36:41 kevinb Exp $' ;

f=openfig('modisdisp','reuse');
h=guihandles(f);

% h.PlotStyle=['bo' ; 'rd' ; 'gh' ; 'm^' ; 'y*' ; ...
%              'k+' ; 'rd' ; 'mh' ; 'g^' ; 'b*' ; ...
%              'ro' ; 'gd' ; 'rh' ; 'b^' ; 'm*' ; ...
%              'yo' ; 'md' ; 'kh' ; 'k^' ; 'r*' ];
h.plotStyle=['r.';'b.';'g.';'y.';'m.'];
[x,y]=size(h.plotStyle);
h.plotStyleCount=x;

%light green, blue, maroon, dark green, purple
h.scatterStyle=[0 1 0; 0 0 1; 0.5 0 0; 0 0.5 0; 0 0 0.5]; 
[x,y]=size(h.scatterStyle);
h.scatstylecount=x;

set(h.mnuSelect,'Enable','off');
set(h.mnuBand,'Enable','off');
set(h.mnuPlot,'Enable','off');
set(h.mnuVariables,'Enable','off');
set(h.mnuMainRefresh,'Enable','off');
set(h.mnuSettings,'Enable','off');
set(h.mnuLevel2,'Enable','off');
set(h.mnuDataOutput,'Enable','off');
set(h.mnuExport,'Enable','off');
guidata(f,h);
